.title {
  font-family: "Goldman", cursive;
  font-size: 28px;
}

.navbar {
  background-color: #f5f8fa;
  border-bottom: 1px solid #cbd6e2;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 1.2rem;
  position: relative;
  top: 0;
  z-index: 999;
}

.navbar_container {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 80px;
  max-width: 1500px;
}

.navbar_logo {
  color: black;
  margin-left: 20px;
  cursor: pointer;
  text-decoration: none;
  font-size: 2rem;
  display: flex;
  align-items: center;
}

.fa_typo3 {
  margin-left: 0.5rem;
  font-size: 1.8rem;
}

.nav_menu {
  display: grid;
  grid-template-columns: repeat(6, auto);
  grid-gap: 10px;
  list-style: none;
  text-align: center;
  width: 60vw;
  justify-content: end;
  margin-right: 2rem;
}

.nav_item {
  height: 80px;
}

.nav_language_switcher {
  display: flex;
  align-items: center;
  text-decoration: none;
  padding: 0.5rem 1rem;
  height: 100%;
}

.nav_links {
  color: black;
  display: flex;
  align-items: center;
  text-decoration: none;
  padding: 0rem 0.5rem;
  height: 100%;
  &:hover {
    border-bottom: 4px solid #252525;
    transition: all 0.2s ease-out;
  }
}

.fa_bars {
  color: black;
}

.nav_links_mobile {
  display: none;
}

.menu_icon {
  display: none;
}

.button_lang {
  color: black;
  display: flex;
  align-items: center;
  text-decoration: none;
  padding: 0.5rem 1rem;
  height: 100%;
  color: rgb(153, 138, 138);
  text-shadow: 0 1px 1px rgba(0, 0, 0, 0.4), 0 1px 2px rgba(0, 0, 0, 0.2);
}

.button_lang:hover {
  background-color: rgba(255, 255, 255, 0.2);
  color: #242424;
  transition: 250ms;
}

.bg {
  display: table;
}

@media screen and (max-width: 960px) {
  .navbar_items {
    position: relative;
  }

  .nav_menu {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100vh;
    position: absolute;
    top: 80px;
    left: -100%;
    opacity: 1;
    transition: all 0.5s ease;
    // &:active {
    //   background-color: black;
    //   left: 0;
    //   opacity: 1;
    //   transition: all 0.5s ease;
    //   z-index: 1;
    //   grid-gap: 10px;
    //   list-style: none;
    // }
  }

  .nav_menu_active {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100vh;
    position: absolute;
    top: 80px;
    left: -100%;
    opacity: 1;
    transition: all 0.5s ease;
    background: white;
    left: 0;
    opacity: 1;
    transition: all 0.5s ease;
    z-index: 1;
  }

  .nav_menu.online {
    background-color: black;
    left: 0;
    opacity: 1;
    transition: all 0.5s ease;
    z-index: 1;
    grid-gap: 10px;
    list-style: none;
  }

  .nav_language_switcher {
    text-align: center;
    padding: 2rem;
    width: 100%;
    display: table;
  }

  .nav_links {
    text-align: center;
    padding: 2rem;
    width: 100%;
    display: table;
    &:hover {
      color: rgba(192, 192, 192, 0.2);
      border-bottom: 4px solid #252525;
      border-radius: 0;
    }
  }

  .navbar_logo {
    position: absolute;
    top: 0;
    left: -50px;
    transform: translate(25%, 50%);
  }

  .menu_icon {
    display: block;
    position: absolute;
    top: 0;
    right: 0;
    transform: translate(-100%, 60%);
    font-size: 1.8rem;
    cursor: pointer;
  }

  .fa_times {
    color: black;
    font-size: 2rem;
  }

  .nav_links_mobile {
    display: block;
    text-align: center;
    margin: 2rem auto;
    border-radius: 4px;
    width: 80%;
    text-decoration: none;
    font-size: 1.5rem;
    background-color: transparent;
    color: #fff;
    padding: 14px 20px;
    border: 1px solid #fff;
    transition: all 0.3s ease-out;
    &:hover {
      background: rgb(14, 10, 10);
      color: #242424;
      transition: 250ms;
    }
  }

  .button_lang {
    display: block;
    text-align: center;
    margin: 2rem auto;
    border-radius: 4px;
    width: 80%;
    text-decoration: none;
    font-size: 1.5rem;
    background-color: transparent;
    color: black;
    padding: 14px 20px;
    border: 1px solid #fff;
    transition: all 0.3s ease-out;
    &:hover {
      background-color: rgba(255, 255, 255, 0.2);
      color: #242424;
      transition: 250ms;
    }
  }
}
